About ZSoft Uninstaller

ZSoft Uninstaller is the better and easier way to uninstall programs on your computer. ZSoft Uninstaller can be used as an Add/Remove applet replacement, but can also:
  • Analyze an installation so it can be completely uninstalled (also supports reboots of the computer as the process is split into two: Before and after the installation)
  • Search for leftovers from an uninstall program using its Post Uninstall feature
  • Find and delete temporary files
  • Delete entries from programs that are no longer installed
  • Hide Windows Updates
  • Hide entries from the list that you are never going to uninstall (drivers etc.) making the list smaller and therefore easier to manage.
  • Show more information than available though add/remove
  • Automatically find entries from programs that are most likely already uninstalled
  • Automatically find entries that are considered "crap-ware"
  • (Off course) search the list of installed software


Advanced uses of ZSoft Uninstaller

Even though the search for leftovers, as explained in the basics, is kind of an advanced feature, ZSoft Uninstaller offers much more. Here you can find information on the following advanced features:
  • Analyze an installation
  • Find and remove temporary files
  • Control what programs launches when you start your computer
  • Find and remove empty directories
  • Uninstall an application with no uninstall-feature


Analyze an installation

By clicking on the "Analyze" button on the toolbar, the dialog shown below is brought up. It gives you 3 choices: Analysing an installation, finish an analysis that has already been started or uninstalling a previously analysed installation.

The Analyze main window

The last one will give you a screen where you can choose among the analysed installations. Before being able to uninstall you have to confirm that you do it at you own responsibility and won't kill me if anything goes wrong.
You can also uninstall an analysed installation (and, as the only place, rename and delete them) from the "Analyzed Programs" tab next to the "Installed Programs" tab in the main menu.

By choosing the first option you can choose which drives you want to analyse, the press the "Before Installation" button and let the program do it's thing.
When it's finished you should install the application in question, and perhaps run it and close it once before pressing the second button - "After Installation".

When the after installation is finished it will ask you for something to name the analysed installation before comparing the before and after "image".

This whole procedure naturally takes some time, but allows you to uninstall a program completely.
If a file have been added it will be registered, and deleted upon uninstallation.
If a registry entry have been added it will be deleted upon uninstallation.
If a registry entry have been deleted it will be re-created upon uninstallation.

If anything, upon uninstallation could not be deleted, the program will try to delete the files and/or registry entrys the next time you open the program, and continue to try every time until the files are gone.

The "finish an analasis that has already been started"-option is used to finish analysing after, for instance, a computer restart.


Basic Use of ZSoft Uninstaller

Often what you want to do is simple: You want to uninstall an application.
With ZSoft Uninstaller, this is very easy, and it even allows you to search for 'leftovers'.

Inside the ZSoft Uninstaller main window you will (per default) see a search-bar on the left. If you don't see it, remove the checkmark from the 'Hide Search-bar' item in the 'Settings' menu. Here you can type what you're looking for and the list on the right will update accordingly. You can naturally also just scroll through the list to find what you're looking for.

Once you find what you want to uninstall either double-click the item, select it and press <<enter>>, right-click it and select 'uninstall' (or any of the other options if you wish) or select it and press the big 'Uninstall' button on the toolbar. The uninstall-routine for the program you have selected will now start. Please note, however, that this is the programs own uninstall-routine, and ZSoft Uninstaller does nothing to enhance this part.

Selecting Uninstall

Once the uninstall routine has finished, you will be presented with a box at the bottom of the ZSoft Uninstaller main window, asking if you want to search for leftovers. Leftovers are files and registry entries that the uninstall routine left behind.

Do you want to search for leftovers?

You can ignore this by pressing on the 'x' in the right corner of the box, and the box will disappear, or you can actually search for leftovers by double-clicking the program on the list. Double-clicking it will bring up a box asking you to edit the extracted keywords. It is recommended that you remove any very regular and short words, and add strings if the extracted data, for some reason, seems insufficient. This data is what is used to search for leftovers. You also have the option to choose what matching should be used. Should the data just contain the keyword (i.e. 'me' matches everything with 'me' in it), or should the data contain a keyword as a word (i.e. 'me' matches only the word 'me', and not, for instance, 'media'). Once you're done, press 'Next'.

Editing keywords

The search is now taking place. Once the search has finished, you should go over every item, and choose if you want to remove it or not. You can right-click any item and select 'Jump To' to browse the found data so you can make a more informed decision. By right-clicking you can also 'go one level up'. This broadens the result, i.e. a found file becomes a found directory (where the file is stored), a found directory becomes another found directory (where the first directory was found) etc. The same goes for registry entries, where a found value becomes a found key, and a found key becomes another found key.
Once your done, click 'Remove' to remove the selected items. Files and folders will be moved to the recycle bin, and registry entries will be backed up and deleted. The backups can be found by selecting 'Registry Backups' from the 'Functions' menu in the main window of ZSoft Uninstaller.
Please note, that even though registry items are backed up, and files are only moved to the recycle bin, you should only delete stuff you are sure are no longer needed. It's better to delete a bit less than a bit too much.

Found results


Empty Folders / Directories

Find and remove empty directories

Using this tool you can find - and delete - empty folders.
To access this feature go to the tools menu and click "Empty Folders Finder". It will bring up the following window:

The Empty Folders Finder window

To use this tool select a directory to search (using the Browse button), and click "Start Scan". Please note that this can take some time if you select your top-level drive (C: for instance).
Every empty folder found will be added to the list.
You can the select the items you wish to remove and click the big "Remove Selected" button at the buttom.

The "Only scan top-level"-checkbox indicates if you want to only check the selected directory for empty folders, i.e. don't look inside those directories etc.


Find and remove temporary files

You can use this feature to find - and delete - temporary files from your computer.
You can access this feature though the toolbar by clicking "Temp File Finder". It will bring up the following window:

The temp file finder main window

All you really have to do is choose a drive from the drop-down list and click search. Then the program will search the drive for files that are considered temporary and will, though a right-click menu allow you to either delete it to the recycle bin, delete it for good, or back it up and the delete it so you can re-create it though the "Backups" button.

Normally the C-drive contains the most temporary files.


Selecting a Language

 The ZSoft Uninstaller Interface
Selecting a Language

ZSoft Uninstaller is multilingual, and you can have the display shown in many different languages. To choose another language, go to the Language menu (the second from the right, in case you can’t find it, because you selected a language you don’t actually understand). You will be represented with a list of languages. By simply selecting a language the language of the interface will change.
Language menu

Here, for instance, is the interface in both Danish and German:
Interface in Danish Interface in German

If your language is not in the list you can quite easily translate the program yourself. If you choose to do this, please send your translation to the author at webmaster {at} zsoft [dot] dk so other people can also benefit from your translation. Thank you!

To do this, go to the folder where you installed ZSoft Uninstaller, open the Lang folder, and make a copy of the English language file. Rename it to Language.lng, where Language is Swedish, if you are translating it into Swedish and so on. Now, open the file in a plain-text-editor -- Notepad will do just fine. Now all you have to do is start translating.


Startup Manager

With the Startup Manager you can control what programs launches when you start your computer.
To access this feature click the "Startup Manager" from the "Tools"-menu. The following window will pop up:

The Startup Manager main window

The list shows what ZSoft Uninstaller has found, that starst up when you start your computer.
The grayed out items has been disabled (using this tool, and does not startup).

You can right-click on a item and either disable or enable it (you can only disable non-grayed out stuff, and only enable grayed out stuff), or delete the item. You cannot undo a delete.

On some items you only have the option to delete the item (technical: this is the items that are in you start-menu under 'Programs' and the folder 'Start').


Uninstall External Application

Uninstall an application with no uninstall-feature

This feature allows you to remove an application by searching for its components. This can be usefull, for instance if a program does not have a uninstall-feature.

To access this, go to the "Tools" menu and click on the "Uninstall External Application" button.
A "open"-window will popup. Here you should browse to the application you want to remove and open it.

The Post Uninstall Scanner will now pop up, with a pre-defined list of keywords to look for. The rest of the process is as any Post Uninstall Scan, witch you can read more about in the basics.


Visual Settings

 The ZSoft Uninstaller Interface
Visual Settings

When you first launch ZSoft Uninstaller you might find, that the interface needs some color, the list should look differently or something similar. The newly-installed ZSoft Uninstaller will look something like the picture on the right.

Luckily ZSoft Uninstaller allows you to change many things, which will make your experience more pleasing.

You could for instance enable grid lines, by going to the Settings menu at the top, and selecting Show Grid Lines, or simply by pressing F7.
Enabling Grid Lines

This will, at least for some people, make it easier to get an overview when there are many programs in the list. The change is subtle, but it really does help some people:
Grid Lines Enabled

You may also want to see the icons of the programs, instead of just a plain list. This is also an option: Go to Settings, open the submenu Show Icons, and select either small or big.
Enabling Icons

The first time you do this, it will take some time for ZSoft Uninstaller to fetch all the icons, but subsequently it will go much faster as the icons a cached.
Please wait while icons are being cached

This time, the change is easier to notice. Here is a picture of the list with small icons, and one with big icons:
Small icons Big icons

You may also want the lists sorted in a different order. The default sort order is ascending by name, but you might, for instance, want it sorted descending by installation time instead. This is easily accomplished by selection Settings, opening the submenu Sort List After, and selection the desired sort order.
Selecting a different sort order

You may also want to hide something from the list. You might, for instance, want to hide drivers from the list, because you don't want to uninstall them, and they therefore just clutter the list. You can do this by going to Filter, and checking on Don't show hidden links. Then all you have to do is select the program you want to hide, right-click and select 'hide'. The program will then move itself into the Hidden Programs tab instead.
Checking on hide hidden Actually hidding an application The application disappears And is available in the Hidden Programs tab

You may also want to hide all Windows Updates in an attempt to un-clutter the list. This can be done by selecting Filter, and checking on Don't show Windows Updates. You may notice that the number of displayed programs gets smaller.
Checking on Don't show Windows Updates Before After

You may also want newly installed programs highlighted in the list. You can enable this feature by selecting it in the Filters menu.
Checking on Mark new links


Welcome to ZSoft Uninstaller

To get you started, you might want to read the following:
  • Visual Settings in ZSoft Uninstaller
  • Selecting a language for ZSoft Uninstaller
  • Basic use of ZSoft Uninstaller
  • Advanced uses of ZSoft Uninstaller
    • Analyze an installation
    • Find and remove temporary files
    • Control what programs launches when you start your computer
    • Find and remove empty directories
    • Uninstall an application with no uninstall-feature
  • About ZSoft Uninstaller